Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Profile consent preference

Prev Next
Post
/list/consent-preference-profile

Used to get consent preferences information for a specific user profile.


This endpoint returns consent preference status for user profiles for projects where Consent Manager has been enabled.

Data returned includes details of the channel, type of preference status and any relevant consent-specific data, for example, channel (channel type). The response also includes an integer-boolean status (1 means the profile is currently subscribed to that channel and 0 is not.)

Body parameters
Get consent preferences for a single user

Get all consent preferences for a single user profile

{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "user_id",
      "=",
      "USER_ID"
    ]
  ]
}
Get subscribed preferences updated after a timestamp

Get all consent preferences for all user profiles which have status subscribed and have been updated after a specific point in time (timestamp must be provided in Unix)

{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "status",
      "=",
      "1"
    ],
    [
      "update_time",
      ">",
      "1717229073"
    ]
  ]
}
object
apptoken
string Required

Your app token

order
Array of string

Order the results in either ascending or descending order based on any of the params, eg. ["name"] or ["update_time DESC"]

string
select
Array of string

Select what attributes to return, eg. ["name", "profile_id", "update_time"]

string
condition
string (json)

Filter the user profiles based on some criteria, eg. [ ["user_id", "=", "USER_ID"] ,["status", "=", 0], ["update_time", ">", "1717229073"]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "profile_id": "11ebb2fd3ffc345a9fac061f43cf49c0",
      "name": "GROUP_MARKETING_mortgage_info",
      "type": "0",
      "type_name": "Marketing",
      "channel": "push",
      "status": "1",
      "update_time": "1725025235",
      "source": "manual"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
profile_id
string
Example11ebb2fd3ffc345a9fac061f43cf49c0
name
string
ExampleGROUP_MARKETING_mortgage_info
type
string
Example0
type_name
string
ExampleMarketing
channel
string
Examplepush
status
integer
Default0
Example1
update_time
integer
Default0
Example1725025235
source
string
Examplemanual
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "apptoken is invalid."
}
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
Exampleapptoken is invalid.